# 绝区零代理人面板插件

一个基于 NoneBot2 的绝区零代理人面板查询插件，通过 Playwright 爬取米游社数据，为用户提供详细的游戏数据查询服务。

## ✨ 功能特色

- 🔐 **账号绑定**：安全绑定米游社账号
- 👤 **面板查询**：查看详细的游戏面板信息
- 🤖 **代理人列表**：展示所有代理人角色信息
- 🔄 **数据更新**：实时同步最新游戏数据
- 🎨 **美化界面**：精美的消息展示效果
- 🚀 **高性能**：基于 Playwright 的高效数据抓取

## 📋 功能列表

| 命令          | 功能描述         | 使用示例      |
| ------------- | ---------------- | ------------- |
| `/菜单`       | 显示功能菜单     | `/菜单`       |
| `/绑定`       | 绑定米游社账号   | `/绑定`       |
| `/解绑`       | 解除账号绑定     | `/解绑`       |
| `/面板`       | 查看个人游戏面板 | `/面板 仪玄`  |
| `/更新面板`   | 更新面板数据     | `/更新面板`   |
| `/代理人列表` | 查看代理人信息   | `/代理人列表` |

## 🛠️ 安装与配置

### 环境要求

- Python 3.8+
- NoneBot2 2.0+
- Playwright

### 安装步骤

**pip 安装**

```bash
pip install nonebot-plugin-zzz-avatar-panel
```

## 🚀 使用指南

### 1. 绑定账号

首次使用需要绑定米游社账号：

```
/绑定
```

按照提示扫码完成账号绑定流程。

### 2. 查看面板

绑定成功后，可以查看游戏面板：

```
/面板 仪玄
```

### 3. 查看代理人

查看所有代理人信息：

```
/代理人列表
```

### 4. 更新数据

手动更新最新数据：

```
/更新面板
```

## ⚠️ 免责声明

- 本插件仅用于学习交流，请勿用于商业用途
- 使用本插件产生的任何问题，开发者不承担责任
- 请遵守米游社相关服务条款
- 建议合理使用，避免频繁请求

<div align="center">

**如果这个项目对你有帮助，请给个 ⭐ Star 支持一下！**

</div>
